<!DOCTYPE html>
<html lang="en"
    xmlns:th="http://www.thymeleaf.org"
    xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
    <head>
    <title>Virtual Teacher</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    </head>
    <body>
        <nav class="navbar navbar-expand navbar-light bg-light">
            <div class="col-sm-3">
                <a class="navbar-brand" th:href="@{/home}">Virtual Teacher</a>
                <a class="navbar-brand" sec:authorize="hasRole('ADMIN')" th:href="@{/users}">Users</a>
            </div>
            <input class="form-control col-sm-5" type="search" placeholder="Search topic, course & teachers" aria-label="Search" style="display:inline;">
            <div class="col-sm-4 text-right" sec:authorize="isAnonymous()">
                <a class="btn btn-link" th:href="@{/login}">Login</a>
                <a class="btn btn-primary" th:href="@{/register}">JOIN NOW</a>
            </div>
            <div class="col-sm-4" sec:authorize="isAuthenticated()">
                <div class="row float-right">
                    <a class="navbar-brand" th:href="@{'/users/' + ${user.id}}">Profile</a>
                    <form th:action="@{/logout}" method="post">
                        <input class="btn btn-primary" type="submit" value="Logout" />
                    </form>
                </div>
            </div>
        </nav>
        <div class="container" th:object="${course}">
            <div class="row mt-3">
                <div class="col-sm-9">
                    <p class="text-success" th:if="${successfulUploadMessage}" th:text="${successfulUploadMessage}"></p>
                    <h2 th:text="${course.title}"></h2>
                    <h5 th:text="${course.topic.topic}"></h5>
                    <p th:text="${course.description}"></p>
                    <div class="row">
                        <div class="col-sm-6" sec:authorize="hasRole('USER')" th:switch="${userCourse != null}">
                            <p th:text="${enrollMessage}"></p>
                            <div class="mt-3" th:case="${true}">
                                <div class="progress mb-3">
                                    <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" th:attr="aria-valuenow=${userCourseProgress}" aria-valuemin="0" aria-valuemax="100" th:style="'width:' + ${userCourseProgress} + '%;'"></div>
                                </div>
                                <input th:if="${!userCourseCompleted}" type="submit" value="In Progress" class="btn btn-primary btn-lg">
                                <input th:if="${userCourseCompleted}" type="submit" value="Completed" class="btn btn-primary btn-lg">
                            </div>
                            <form class="mt-3" th:case="${false}" th:action="@{'/courses/' + ${course.id} + '/enroll'}" th:object="${course}" method="post">
                                <input type="submit" value="Enroll" class="btn btn-primary btn-lg">
                            </form>
                            <div class="mt-3" th:if="${userCourseCompleted}">
                                <form th:action="@{/ratings/{courseid}/(courseid=${course.id})}" method="post">
                                    <input class="btn btn-link" type="submit" value="Rate" text="submit"/>
                                    <select id="rat" name="rating">
                                        <option th:each="i : ${#numbers.sequence(1, 5)}" th:value="${i}" th:text="${i}">
                                    </select>
                                </form>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <h1 class="text-danger" th:if="${userCourseAverageGrade != null}" th:text="${userCourseAverageGrade}"></h1>
                            <p class="text-danger" th:if="${userCourseAverageGrade != null}">Average Grade</p>
                        </div>
                    </div>
                    <h3 class="mt-3" th:text="'Created by ' + ${course.teacher.username}"></h3>
                </div>
                <div class="col-sm-3 float-center">
                    <a sec:authorize="hasRole('TEACHER')" class="btn btn-primary btn-block" th:href="@{'/courses/' + ${course.id} + '/edit'}">Edit</a>
                    <img th:src="${course.imagePath}" class="mt-3 img-rounded img-fluid" alt="...">
                </div>
            </div>
            <hr>
            <div class="row mt-3">
                <h2>Program</h2>
                <p th:text="${course.program}"></p>
            </div>
            <hr>
            <div class="row mt-3">
                <h2>Lectures</h2>
            </div>
            <div sec:authorize="hasRole('USER')">
                <div class="row mt-3" th:each="solution : ${userCourseCompletedSolutions}">
                    <div class="col-sm-2">
                        <a th:href="'/lectures/' + ${solution.assignment.lecture.id}"><img th:src="${solution.assignment.lecture.imagePath}" class="mt-3 img-rounded img-fluid"></a>
                    </div>
                    <div class="col-sm-8">
                        <h4 th:text="${solution.assignment.lecture.title}"></h4>
                        <p th:text="${solution.assignment.lecture.description}"></p>
                    </div>
                    <div class="col-sm-2" sec:authorize="hasRole('USER')">
                        <h1 class="text-danger" th:text="${solution.grade}"></h1>
                        <p class="text-danger">Grade</p>
                    </div>
                </div>
                <div class="row mt-3" th:each="lecture : ${userCourseInProgressLectures}">
                    <div class="col-sm-2">
                        <a th:href="'/lectures/' + ${lecture.id}"><img th:src="${lecture.imagePath}" class="mt-3 img-rounded img-fluid"></a>
                    </div>
                    <div class="col-sm-8">
                        <h4 th:text="${lecture.title}"></h4>
                        <p th:text="${lecture.description}"></p>
                        <div class="row">
                            <a class="btn btn-link" sec:authorize="hasRole('USER')" th:href="@{${lecture.assignment.filePath}}">Download assignment</a>
                            <form class="form-inline" sec:authorize="hasRole('USER')" th:action="@{/uploaded-solutions/assignments/{assignmentid}(assignmentid=${lecture.assignment.id})}" method="post" enctype="multipart/form-data">
                                <input class="btn btn-link" type="submit" value="Submit solution" />
                                <input class="form-control-file rounded-0" type="file" name="file" />
                            </form>
                        </div>
                    </div>
                    <div class="col-sm-2" sec:authorize="hasRole('TEACHER')">
                        <a class="btn btn-primary btn-block" th:href="@{'/courses/' + ${course.id} + '/edit'}">Edit</a>
                    </div>
                </div>
            </div>
            <div th:if="${userCourse == null}" class="row mt-3" th:each="lecture : ${course.lectures}">
                <div class="col-sm-2">
                    <a th:href="'/lectures/' + ${lecture.id}"><img th:src="${lecture.imagePath}" class="mt-3 img-rounded img-fluid"></a>
                </div>
                <div class="col-sm-8">
                    <h4 th:text="${lecture.title}"></h4>
                    <p th:text="${lecture.description}"></p>
                </div>
                <div class="col-sm-2">
                    <a sec:authorize="hasRole('TEACHER')" class="btn btn-primary btn-block" th:href="@{'/courses/' + ${course.id} + '/edit'}">Edit</a>
                </div>
            </div>
        </div>
    </body>
</html>